;InnoSetupVersion=5.2.1

[Setup]
AppName={cm:Product}
AppVerName={cm:Product} 3.0
AppId=3554AA4B-9B0B-451a-A269-2B5F53982209
AppPublisher={cm:Company}
AppPublisherURL={cm:RootUrl}
AppSupportURL={cm:RootUrl}/support
AppUpdatesURL={cm:RootUrl}/updates
DefaultDirName={pf}\{cm:Product}
DefaultGroupName={cm:Product}
OutputBaseFilename=in
Compression=lzma
ArchitecturesAllowed=x86
ExtraDiskSpaceRequired=1048576
DisableProgramGroupPage=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\eula.rtf"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: dontcopy 
Source: "{app}\TFCfg.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFAPI.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFAVE.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFCR.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFCRDlg.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFCRUI.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFCRW.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFDBM.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFE.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFGui.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFLog.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFMisc.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFMon.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFNI.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFO.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFQT.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFRK.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFScan.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFServer.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFService.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFSF.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFTM.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFTray.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFUD.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFUN.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFUndo.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFWAH.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFWS.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{sys}\Drivers\TfFsMon.sys"; DestDir: "{sys}\Drivers"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{sys}\Drivers\TfKbMon.sys"; DestDir: "{sys}\Drivers"; MinVersion: 0.0,5.0; Flags: uninsneveruninstall 
Source: "{sys}\Drivers\TfNetMon.sys"; DestDir: "{sys}\Drivers"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{sys}\Drivers\TfSysMon.sys"; DestDir: "{sys}\Drivers"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFWL.db4"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFBL.db4"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\TFCL.db4"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\ThreatFire.chm"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\QuickStart.chm"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{commonappdata}\{cm_Company}\{cm_Product}\General.dat"; DestDir: "{commonappdata}\{cm:Company}\{cm:Product}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{commonappdata}\{cm_Company}\{cm_Product}\Specific.dat"; DestDir: "{commonappdata}\{cm:Company}\{cm:Product}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{tmp}\MsvcRedist.msi"; DestDir: "{tmp}"; MinVersion: 0.0,5.0; Flags: deleteafterinstall 
Source: "{app}\engine.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\msvcr71.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-000.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-001.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-002.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-003.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-004.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-005.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-006.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-007.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-008.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-009.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-010.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-011.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-012.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-013.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-014.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-015.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-016.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-017.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-018.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-019.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-020.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-021.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-022.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-023.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\av10-daily.vdb"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 
Source: "{app}\Database\vdb.xml"; DestDir: "{app}\Database"; MinVersion: 0.0,5.0; Flags: uninsrestartdelete 

[Dirs]
Name: "{commonappdata}\{cm:Company}\{cm:Product}\Temp"; 

[Registry]
Root: HKCU; Subkey: "Software\{cm:Manufacturer}"; MinVersion: 0.0,5.0; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\{cm:Manufacturer}\{cm:Product}"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu2\Programs\{cm:Product}"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TFGui.exe"; ValueType: String; ValueData: "{app}\TFGui.exe"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TFGui.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TFService.exe"; ValueType: String; ValueData: "{app}\TFService.exe"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TFService.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TFTray.exe"; ValueType: String; ValueData: "{app}\TFTray.exe"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TFTray.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "{cm:Product}"; ValueType: String; ValueData: "{app}\TFTray.exe"; MinVersion: 0.0,5.0; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\{cm:Manufacturer}"; MinVersion: 0.0,5.0; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\{cm:Manufacturer}\{cm:Product}"; ValueName: "InstallDir"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\{cm:Manufacturer}\{cm:Product}"; ValueName: "EngineDir"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "Software\{cm:Manufacturer}\{cm:Product}"; ValueName: "ClientDir"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "Software\{cm:Manufacturer}\{cm:Product}"; ValueName: "Exclusion"; ValueType: MultiSZ; ValueData: ".dbx{break}.ost{break}.mbx{break}.dbt{break}.bak{break}.iso{break}.ttf{break}.pst{break}"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "Software\{cm:Manufacturer}\{cm:Product}"; ValueName: "ProductVersion"; ValueType: String; ValueData: "3.0.12.6"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfKbMon"; ValueName: "ErrorControl"; ValueType: Dword; ValueData: "$0"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfKbMon"; ValueName: "ImagePath"; ValueType: String; ValueData: "system32\drivers\TfKbMon.sys"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfKbMon"; ValueName: "Start"; ValueType: Dword; ValueData: "$3"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfKbMon"; ValueName: "Tag"; ValueType: Dword; ValueData: "$0"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfKbMon"; ValueName: "Type"; ValueType: Dword; ValueData: "$0"; MinVersion: 0.0,5.0; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfSysMon"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfFsMon"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\TfNetMon"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 

[Run]
Filename: "msiexec.exe"; Parameters: "/i ""{tmp}\MsvcRedist.msi"" /qn"; StatusMsg: "Configuring {cm:Product}. Please wait..."; MinVersion: 0.0,5.0; 
Filename: "{app}\TFTray.exe"; Parameters: "/reboot"; MinVersion: 0.0,5.0; Flags: nowait

[Icons]
Name: "{group}\{cm:Product}"; Filename: "{app}\TFGui.exe"; MinVersion: 0.0,5.0; 
Name: "{group}\Quick Start Guide"; Filename: "{app}\QuickStart.chm"; MinVersion: 0.0,5.0; 
Name: "{group}\{cm:ProgramOnTheWeb,{cm:Product}}"; Filename: "{cm:RootUrl}"; MinVersion: 0.0,5.0; 
Name: "{group}\{cm:UninstallProgram,{cm:Product}}"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0; 
Name: "{commondesktop}\{cm:Product}"; Filename: "{app}\TFGui.exe"; Tasks: desktopicon; MinVersion: 0.0,5.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\{cm:Product}"; Filename: "{app}\TFGui.exe"; Tasks: quicklaunchicon; MinVersion: 0.0,5.0; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; MinVersion: 0.0,5.0; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; MinVersion: 0.0,5.0; 

[UninstallDelete]
Type: dirifempty; Name: "{commonappdata}\{cm:Company}\{cm:Product}"; 
Type: dirifempty; Name: "{commonappdata}\{cm:Company}"; 

[CustomMessages]
english.NameAndVersion=%1 version %2
english.AdditionalIcons=Additional icons:
english.CreateDesktopIcon=Create a &desktop icon
english.CreateQuickLaunchIcon=Create a &Quick Launch icon
english.ProgramOnTheWeb=%1 on the Web
english.UninstallProgram=Uninstall %1
english.LaunchProgram=Launch %1
english.AssocFileExtension=&Associate %1 with the %2 file extension
english.AssocingFileExtension=Associating %1 with the %2 file extension...
Product=ThreatFire
Company=PC Tools
Manufacturer=PCTools
RootUrl=http://www.threatfire.com
CHFound=ThreatFire has detected that Cyberhawk is installed on this computer. ThreatFire completely replaces Cyberhawk and both programs cannot be installed at the same time on the same computer. To avoid any potential conflicts please uninstall Cyberhawk now. After Cyberhawk has been uninstalled you may proceed with the ThreatFire installation.%n%nTo uninstall Cyberhawk go to Add or Remove Programs in the Control Panel.
PrintEula=Do you want to print the End User License Agreement on the default printer?
EulaPrintFailure=Problems printing License file!
EulaPrintButton=&Print License

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "english"; MessagesFile: "embedded\english.isl"; 
